@use "../abstract/" as abs;

.btn{
    width: 16rem;
    height: 4rem;
    @include abs.flexPosition( _, space-around, _);
    position: relative;

    &:hover &-bg{
        width: 18rem;
    }

    &:hover &-text{
        color: abs.color(secondary);
    }

    &:hover .arrow{
        transform: translateX(1rem);
    }

    &:hover .arrow-line-1{
        width: 2rem;
    }

    &-bg{
        width: 4rem;
        height: 4rem;
        background-color: abs.color(primary);
        border-radius: 5rem;
        position: absolute;
        left: 0;
        transition: all .2s;
    }

    &-text{
        font-size: abs.font-size(xs);
        text-transform: uppercase;
        color: abs.color(primary);
        z-index: 10;
    }

    .arrow{
        @include abs.flexPosition;
        transition: transform .2s;

        &-line{
            height: .2rem;
            background-color: abs.color(secondary);
            position: absolute;
            transform-origin: right;

            &-1 {
                width: 0;
                transform: translateX(-.7rem);
                transition: width .2s;
            }

            &-2{
                width: 1rem;
                transform: rotateZ(45deg);
            }
            &-3{
                width: 1rem;
                transform: rotateZ(-45deg);
            }
        }
    }

}

.product-desc__btn{
    display: block;
    font-size: abs.font-size(xs);
    color: abs.color(quarternary);
    padding: .5rem  1rem;
    border: .1rem solid abs.color(quarternary);
    border-radius: 5px;
    background-color: lighten(abs.color(primary), 20%);

    @include abs.respond(lg) {
        padding: .2rem .5rem;
    }

    @include abs.respond(sm) {
        padding: .5rem .7rem;
        width: 10rem;
    }
}